/// api_version=2
var script = registerScript({
    name: "MMCHop",
    version: "1.0.0",
    authors: ["0hWhite"]
});

// Imported classes
var MovementUtils = Java.type("net.ccbluex.liquidbounce.utils.MovementUtils");
script.registerModule({
    name: "MMCHop",
    category: "Movement",
    description: "Bypassing bunny hop for MMC"
}, function(module) {
    module.on("motion", function() {
        if(mc.thePlayer.onGround) {
            mc.thePlayer.motionY = 0.76;
        } else {
            MovementUtils.strafe(0.2);
        }
    });
});
